package com.palmnest.application.dto.input;

import java.io.Serializable;


public class AppUserInputDto implements Serializable {

	/**
	 * 订餐管理  新增账号
	 */
	private static final long serialVersionUID = -4724333295972795510L;
	private String orgId;//项目ID
	private String id;//id
	private String deptid;//部门
	private String deptStr;//部门
	private String userName;//姓名
	private String mobilePhone;//手机号码
	private String dinnerAddress;//送餐地址
	private Integer  userType;//类型：个人账号:2  管理员:1 可被代订3
	private Integer integral;//积分
	private Integer virtualArchId;//企业id
	
	private String userNumber;//工号
	private String userSex;//性别 (1男2女)
	private String email;//邮箱
	private Long virPermId; //类型id

	private String pushState;

	public String getPushState() {
		return pushState;
	}

	public void setPushState(String pushState) {
		this.pushState = pushState;
	}

	public Integer getVirtualArchId() {
		return virtualArchId;
	}

	public void setVirtualArchId(Integer virtualArchId) {
		this.virtualArchId = virtualArchId;
	}

	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
//	public String getLoginName() {
//		return loginName;
//	}
//	public void setLoginName(String loginName) {
//		this.loginName = loginName;
//	}
//	public String getPwd() {
//		return pwd;
//	}
//	public void setPwd(String pwd) {
//		this.pwd = pwd;
//	}
	
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getMobilePhone() {
		return mobilePhone;
	}
	public void setMobilePhone(String mobilePhone) {
		this.mobilePhone = mobilePhone;
	}
	public String getDinnerAddress() {
		return dinnerAddress;
	}
	public void setDinnerAddress(String dinnerAddress) {
		this.dinnerAddress = dinnerAddress;
	}
	public Integer getUserType() {
		return userType;
	}
	public void setUserType(Integer userType) {
		this.userType = userType;
	}
	public String getOrgId() {
		return orgId;
	}
	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}
	public Integer getIntegral() {
		return integral;
	}
	public void setIntegral(Integer integral) {
		this.integral = integral;
	}
	public String getDeptid() {
		return deptid;
	}
	public void setDeptid(String deptid) {
		this.deptid = deptid;
	}
	public String getDeptStr() {
		return deptStr;
	}
	public void setDeptStr(String deptStr) {
		this.deptStr = deptStr;
	}

	public String getUserNumber() {
		return userNumber;
	}

	public void setUserNumber(String userNumber) {
		this.userNumber = userNumber;
	}

	public String getUserSex() {
		return userSex;
	}

	public void setUserSex(String userSex) {
		this.userSex = userSex;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Long getVirPermId() {
		return virPermId;
	}

	public void setVirPermId(Long virPermId) {
		this.virPermId = virPermId;
	}
}
